<?php
include "ver_sessao.php";
include "conecta.php";
	
	//$NOME_VALOR = "prod_tx_valor";
	
	$TABELA = 'produto';
	$TAB = substr($TABELA,0,4);
	
	
	$_GET[busca] = str_replace("*","%",$_GET[busca]);
	
	if($_GET[t]=='interno')
		$plan = '10';
	else
		$plan = '1';

	$sql = selecionar("preco,produto",'prod_tx_status,prec_nb_planosaude',"ativo,$plan",
	" AND (prod_tx_nome LIKE '%$_GET[busca]%' OR prod_tx_codbarras LIKE '%$_GET[busca]%') ".$EXTRA.' LIMIT 15');
	
	//INICIO DO GRID
	while( $a = carrega_array($sql) ) {

		$NOME_VALOR_UN = "prec_tx_valorUnit";
		$NOME_VALOR_CX = "prec_tx_valorEmb";
		// if($_GET[t]=='interno'){
		// 	$NOME_VALOR_UN = "prod_tx_valorCusto";
		// 	$NOME_VALOR_CX = "prod_tx_valorCusto";
		// }

		if($a[prod_nb_marca]>0){
			$a_marca = carregar('marca',$a[prod_nb_marca]);
			$a_marca[marc_tx_nome] = "[$a_marca[marc_tx_nome]]";
		}else{
			$a_marca[marc_tx_nome] = '';
		}
		
		$nome_js = str_replace(" ","%20","$a[prod_tx_codbarras] - $a[prod_tx_nome] $a_marca[marc_tx_nome]");
		$id = $a["prod_nb_id"];
		$nome = "$a[prod_tx_codbarras] - $a[prod_tx_nome] $a_marca[marc_tx_nome]";
		$valor = mostra_valor($a[$NOME_VALOR_UN]);
		$qtde=mostra_valor($a[prod_tx_qtde],1);
		
		if($a[prod_tx_embalagem]=='' || $a[prod_tx_embalagem]=='0')
			$a[prod_tx_embalagem] = '1';
		
		$estilo = 'combo_novo_normal';
		if( $i++ == 0 && $_GET[busca] != '') {
			javascript("
			parent.window.document.cadastro.valor.value='$valor';
			parent.window.document.cadastro.valor_cx.value='".mostra_valor($a[$NOME_VALOR_CX])."';
			parent.window.document.cadastro.valor_un.value='".mostra_valor($a[$NOME_VALOR_UN])."';
			parent.window.document.cadastro.forma.value='Unidade';
			
			parent.combo_novo_sel_auto('$_GET[campo]','$id','".$nome_js."');
			");
			$estilo = 'combo_novo_ativo';
		}	
		
		$div = "<div class='combo_novo_tudo'><div class='combo_novo_esquerda'>$nome</div><span style='float:right'>QTDE: $qtde</span></div>";
		
		$l .= "<a class=$estilo onclick=javascript:combo_novo_sel('$_GET[campo]','$id','".$nome_js."');envia_combo('".$valor."','valor');envia_combo('".mostra_valor($a[$NOME_VALOR_CX])."','valor_cx');envia_combo('".mostra_valor($a[$NOME_VALOR_UN])."','valor_un');envia_combo('Unidade','forma')>$div</a><BR>";
		
		$COMBO_NOVO_ID .= "$id<cactux>";
		$COMBO_NOVO_NOME .= "$nome<cactux>";
		
	}

	javascript("
		
		parent.COMBO_NOVO_ID='$COMBO_NOVO_ID';
		parent.COMBO_NOVO_NOME='$COMBO_NOVO_NOME';
		
		parent.combo_novo_abre('".$_GET[campo]."');
		window.parent.$('nova_div_".$_GET[campo]."').innerHTML=\"".$l."\";
		
	");
	
?>